<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>RepositoryHandler (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RepositoryHandler (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/dsl/RepositoryHandler.html" target="_top">Frames</a></li>
<li><a href="RepositoryHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.dsl</div>
<h2 title="Interface RepositoryHandler" class="title">Interface RepositoryHandler</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a>&gt;, <a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;, <a href="../../../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api">NamedDomainObjectList</a>&lt;<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">RepositoryHandler</span>
extends <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a></pre>
<div class="block">A <code>RepositoryHandler</code> manages a set of repositories, allowing repositories to be defined and queried.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.artifacts.ArtifactRepositoryContainer">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a></h3>
<code><a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#DEFAULT_MAVEN_CENTRAL_REPO_NAME">DEFAULT_MAVEN_CENTRAL_REPO_NAME</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#DEFAULT_MAVEN_LOCAL_REPO_NAME">DEFAULT_MAVEN_LOCAL_REPO_NAME</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#GOOGLE_URL">GOOGLE_URL</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#MAVEN_CENTRAL_URL">MAVEN_CENTRAL_URL</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#flatDir(org.gradle.api.Action)">flatDir</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds an configures a repository which will look for dependencies in a number of local directories.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#flatDir(groovy.lang.Closure)">flatDir</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Adds an configures a repository which will look for dependencies in a number of local directories.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#flatDir(java.util.Map)">flatDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;args)</code>
<div class="block">Adds a resolver that looks into a number of directories for artifacts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#google()">google</a></strong>()</code>
<div class="block">Adds a repository which looks in Google's Maven repository for dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#ivy(org.gradle.api.Action)">ivy</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds and configures an Ivy repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#ivy(groovy.lang.Closure)">ivy</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds and configures an Ivy repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#jcenter()">jcenter</a></strong>()</code>
<div class="block">Adds a repository which looks in Bintray's JCenter repository for dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#jcenter(org.gradle.api.Action)">jcenter</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds a repository which looks in Bintray's JCenter repository for dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#maven(org.gradle.api.Action)">maven</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds and configures a Maven repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#maven(groovy.lang.Closure)">maven</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds and configures a Maven repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#mavenCentral()">mavenCentral</a></strong>()</code>
<div class="block">Adds a repository which looks in the Maven central repository for dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#mavenCentral(java.util.Map)">mavenCentral</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;args)</code>
<div class="block">Adds a repository which looks in the Maven central repository for dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#mavenLocal()">mavenLocal</a></strong>()</code>
<div class="block">Adds a repository which looks in the local Maven cache for dependencies.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ArtifactRepositoryContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a></h3>
<code><a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#add(org.gradle.api.artifacts.repositories.ArtifactRepository)">add</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#addFirst(org.gradle.api.artifacts.repositories.ArtifactRepository)">addFirst</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#addLast(org.gradle.api.artifacts.repositories.ArtifactRepository)">addLast</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#getAt(java.lang.String)">getAt</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#getByName(java.lang.String)">getByName</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#getByName(java.lang.String,%20org.gradle.api.Action)">getByName</a>, <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#getByName(java.lang.String,%20groovy.lang.Closure)">getByName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectList">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api">NamedDomainObjectList</a></h3>
<code><a href="../../../../../org/gradle/api/NamedDomainObjectList.html#findAll(groovy.lang.Closure)">findAll</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectList.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectList.html#matching(org.gradle.api.specs.Spec)">matching</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectList.html#withType(java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a></h3>
<code><a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#addAll(java.util.Collection)">addAll</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(org.gradle.api.Rule)">addRule</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20org.gradle.api.Action)">addRule</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20groovy.lang.Closure)">addRule</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#findByName(java.lang.String)">findByName</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">getAsMap</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">getNamer</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">getNames</a>, <a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">getRules</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.List">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#add(int,%20E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#addAll(int,%20java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#get(int)" title="class or interface in java.util">get</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#listIterator()" title="class or interface in java.util">listIterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#listIterator(int)" title="class or interface in java.util">listIterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#remove(int)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#set(int,%20E)" title="class or interface in java.util">set</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#subList(int,%20int)" title="class or interface in java.util">subList</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.util.Configurable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.util.Configurable</h3>
<code>configure</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="flatDir(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flatDir</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a>&nbsp;flatDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;args)</pre>
<div class="block">Adds a resolver that looks into a number of directories for artifacts. The artifacts are expected to be located in the
 root of the specified directories. The resolver ignores any group/organization information specified in the
 dependency section of your build script. If you only use this kind of resolver you might specify your
 dependencies like <code>":junit:4.4"</code> instead of <code>"junit:junit:4.4"</code>.

 The following parameter are accepted as keys for the map:

 <table summary="Shows property keys and associated values">
 <tr><th>Key</th>
     <th>Description of Associated Value</th></tr>
 <tr><td><code>name</code></td>
     <td><em>(optional)</em> The name of the repository.
 The default is a Hash value of the rootdir paths. The name is used in the console output,
 to point to information related to a particular repository. A name must be unique amongst a repository group.</td></tr>
 <tr><td><code>dirs</code></td>
     <td>Specifies a list of rootDirs where to look for dependencies. These are evaluated as per <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></td></tr>
 </table>

 <p>Examples:</p>
 <pre class='autoTested'>
 repositories {
     flatDir name: 'libs', dirs: "$projectDir/libs"
     flatDir dirs: ["$projectDir/libs1", "$projectDir/libs2"]
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - The arguments used to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the added resolver</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - In the case neither rootDir nor rootDirs is specified of if both
 are specified.</dd></dl>
</li>
</ul>
<a name="flatDir(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flatDir</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a>&nbsp;flatDir(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Adds an configures a repository which will look for dependencies in a number of local directories.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to execute to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The repository.</dd></dl>
</li>
</ul>
<a name="flatDir(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flatDir</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a>&nbsp;flatDir(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/FlatDirectoryArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">FlatDirectoryArtifactRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an configures a repository which will look for dependencies in a number of local directories.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The repository.</dd></dl>
</li>
</ul>
<a name="jcenter(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jcenter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;jcenter(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds a repository which looks in Bintray's JCenter repository for dependencies.
 <p>
 The URL used to access this repository is "https://jcenter.bintray.com/".
 The behavior of this repository is otherwise the same as those added by <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#maven(org.gradle.api.Action)"><code>maven(org.gradle.api.Action)</code></a>.
 <p>
 Examples:
 <pre class='autoTested'>
 repositories {
   jcenter {
     artifactUrls = ["http://www.mycompany.com/artifacts1", "http://www.mycompany.com/artifacts2"]
   }
   jcenter {
     name = "nonDefaultName"
     artifactUrls = ["http://www.mycompany.com/artifacts1"]
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - a configuration action</dd>
<dt><span class="strong">Returns:</span></dt><dd>the added repository</dd></dl>
</li>
</ul>
<a name="jcenter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jcenter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;jcenter()</pre>
<div class="block">Adds a repository which looks in Bintray's JCenter repository for dependencies.
 <p>
 The URL used to access this repository is "https://jcenter.bintray.com/".
 The behavior of this repository is otherwise the same as those added by <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#maven(org.gradle.api.Action)"><code>maven(org.gradle.api.Action)</code></a>.
 <p>
 Examples:
 <pre class='autoTested'>
 repositories {
     jcenter()
 }
 </pre></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the added resolver</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#jcenter(org.gradle.api.Action)"><code>jcenter(Action)</code></a></dd></dl>
</li>
</ul>
<a name="mavenCentral(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mavenCentral</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;mavenCentral(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;args)</pre>
<div class="block">Adds a repository which looks in the Maven central repository for dependencies. The URL used to access this repository is
 <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#MAVEN_CENTRAL_URL">"https://repo1.maven.org/maven2/"</a>.

 <p>The following parameter are accepted as keys for the map:

 <table summary="Shows property keys and associated values">
 <tr><th>Key</th>
     <th>Description of Associated Value</th></tr>
 <tr><td><code>name</code></td>
     <td><em>(optional)</em> The name of the repository. The default is
 <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#DEFAULT_MAVEN_CENTRAL_REPO_NAME">"MavenRepo"</a> is used as the name. A name
 must be unique amongst a repository group.
 </td></tr>
 <tr><td><code>artifactUrls</code></td>
     <td>A single jar repository or a collection of jar repositories containing additional artifacts not found in the Maven central repository.
 But be aware that the POM must exist in Maven central.
 The provided values are evaluated as per <a href="../../../../../org/gradle/api/Project.html#uri(java.lang.Object)"><code>Project.uri(Object)</code></a>.</td></tr>
 </table>

 <p>Examples:</p>
 <pre class='autoTested'>
 repositories {
     mavenCentral artifactUrls: ["http://www.mycompany.com/artifacts1", "http://www.mycompany.com/artifacts2"]
     mavenCentral name: "nonDefaultName", artifactUrls: ["http://www.mycompany.com/artifacts1"]
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - A list of urls of repositories to look for artifacts only.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the added repository</dd></dl>
</li>
</ul>
<a name="mavenCentral()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mavenCentral</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;mavenCentral()</pre>
<div class="block">Adds a repository which looks in the Maven central repository for dependencies. The URL used to access this repository is
 <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#MAVEN_CENTRAL_URL">"https://repo1.maven.org/maven2/"</a>. The name of the repository is
 <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#DEFAULT_MAVEN_CENTRAL_REPO_NAME">"MavenRepo"</a>.

 <p>Examples:</p>
 <pre class='autoTested'>
 repositories {
     mavenCentral()
 }
 </pre></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the added resolver</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#mavenCentral(java.util.Map)"><code>mavenCentral(java.util.Map)</code></a></dd></dl>
</li>
</ul>
<a name="mavenLocal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mavenLocal</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;mavenLocal()</pre>
<div class="block">Adds a repository which looks in the local Maven cache for dependencies. The name of the repository is
 <a href="../../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html#DEFAULT_MAVEN_LOCAL_REPO_NAME">"MavenLocal"</a>.

 <p>Examples:</p>
 <pre class='autoTested'>
 repositories {
     mavenLocal()
 }
 </pre>
 <p>
 The location for the repository is determined as follows (in order of precedence):
 </p>
 <ol>
 <li>The value of system property 'maven.repo.local' if set;</li>
 <li>The value of element &lt;localRepository&gt; of <code>~/.m2/settings.xml</code> if this file exists and element is set;</li>
 <li>The value of element &lt;localRepository&gt; of <code>$M2_HOME/conf/settings.xml</code> (where <code>$M2_HOME</code> is the value of the environment variable with that name) if this file exists and element is set;</li>
 <li>The path <code>~/.m2/repository</code>.</li>
 </ol></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the added resolver</dd></dl>
</li>
</ul>
<a name="google()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>google</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;google()</pre>
<div class="block">Adds a repository which looks in Google's Maven repository for dependencies.
 <p>
 The URL used to access this repository is "https://dl.google.com/dl/android/maven2/".
 <p>
 Examples:
 <pre class='autoTested'>
 repositories {
     google()
 }
 </pre></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the added resolver</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="maven(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maven</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;maven(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Adds and configures a Maven repository. Newly created instance of <code>MavenArtifactRepository</code> is passed as an argument to the closure.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd></dl>
</li>
</ul>
<a name="maven(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maven</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&nbsp;maven(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">MavenArtifactRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds and configures a Maven repository.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd></dl>
</li>
</ul>
<a name="ivy(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ivy</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a>&nbsp;ivy(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Adds and configures an Ivy repository. Newly created instance of <code>IvyArtifactRepository</code> is passed as an argument to the closure.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd></dl>
</li>
</ul>
<a name="ivy(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ivy</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a>&nbsp;ivy(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">IvyArtifactRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds and configures an Ivy repository.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/dsl/RepositoryHandler.html" target="_top">Frames</a></li>
<li><a href="RepositoryHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
